Table of Contents

Class: GtkReactor | Twisted-0.19.0/twisted/internet/gtkreactor.py
--- | ---
GTK+ event loop reactor.
Base Classes |
--- | ---
default.PosixReactorBase
Methods |
--- | ---
addReader addWriter callback crash doIteration | removeAll removeReader removeWriter run simulate
| addReader
    addReader ( self,  reader )
| addWriter
    addWriter ( self,  writer )
| callback
    callback (
            self,
            source,
            condition,
            )
| crash
    crash ( self )
| doIteration
    doIteration ( self,  delay=0.0 )
| removeAll
    removeAll ( self )
| removeReader
    removeReader ( self,  reader )
| removeWriter
    removeWriter ( self,  writer )
| run
    run ( self )
| simulate
    simulate ( self )
Run simulation loops and reschedule callbacks.

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0